div(ng-include='"components/navbar/navbar.html"')
.container
  .row
    .col-md-12
      h1 Explore
      uib-tabset
        uib-tab(heading='Visualise')
          br
          form.form-horizontal
            .form-group
              .col-sm-12
                input#name-search.form-control(type='text', placeholder='Search for a source...', ng-model="search.name")
            p.info
              i.fa.fa-info-circle.text-info 
              |  Drag fields into the X and Y axes drop areas to view the source as a graph.
          //existing sources
          .sources
            .existing-source(ng-repeat="source in sources | orderBy:'-created_at' | filter: search", style="margin-bottom:10px", ng-controller="VisualiseSourceCtrl")
              .well
                .row
                  .col-md-12
                    .row
                      source-cartouche
                    .row
                      .col-md-12 
                        h4
                          | Fields:
                          draggable-field-label(field='field', source='source', ng-repeat="field in source.fields | orderBy: 'position'")
                        .clearfix 
                  .col-md-4
                    .row
                      .col-md-12
                        .land-zone.x-land-zone.bg-warning(ng-drop="true" ng-drop-success="onXDropComplete($data,$event)")
                          h4
                            |  X axis
                            .btn-group.graph-order-controls(role='group', aria-label='up and down', ng-if="droppedXObject && droppedYObject")
                              a.btn.btn-default.btn-xs(ng-click="changeOrder('x','desc')", ng-attr-title="order by {{droppedXObject.name}} descending")
                                i.fa.fa-angle-up
                              a.btn.btn-default.btn-xs(ng-click="changeOrder('x','asc')", ng-attr-title="order by {{droppedXObject.name}} ascending")
                                i.fa.fa-angle-down
                            span.label.label-warning.blend-field.pull-right(ng-if="droppedXObject")
                              {{droppedXObject.name}}
                              a.label.label-danger.remove-field(ng-click = "removeX()" ng-disabled="removing")
                                | x
                    .row
                      .col-md-12
                        .land-zone.y-land-zone.bg-success(ng-drop="true" ng-drop-success="onYDropComplete($data,$event)")
                          h4
                            | Y axis 
                            .btn-group.graph-order-controls(role='group', aria-label='up and down', ng-if="droppedYObject && droppedXObject")
                              a.btn.btn-default.btn-xs(ng-click="changeOrder('y','desc')", ng-att-title="order by {{droppedYObject.name}} descending")
                                i.fa.fa-angle-up
                              a.btn.btn-default.btn-xs(ng-click="changeOrder('y','asc')", ng-attr-title="order by {{droppedYObject.name}} ascending")
                                i.fa.fa-angle-down
                            span.label.label-success.blend-field.pull-right(ng-if="droppedYObject")
                              {{droppedYObject.name}}
                              a.label.label-danger.remove-field(ng-click = "removeY()")
                                | x
                        select.form-control(style="margin-top:20px;margin-bottom:20px", ng-hide="droppedXObject == null || droppedYObject == null", ng-model="chartObject.type", ng-change="redraw()")
                          option ColumnChart
                          option PieChart
                          option BarChart
                          option Table
                          option GeoChart

                  .col-md-8
                    div(google-chart='', chart='chartObject', style='height:600px; width:100%;', ng-if="data")

        uib-tab(heading='Sentiments')
          br
          form.form-horizontal
            .form-group
              .col-sm-12
                input#name-search.form-control(type='text', placeholder='Search for a source...', ng-model="search.name")
            p.info
              i.fa.fa-info-circle.text-info 
              |  Drag fields into the X and Sentiment drop areas to view the Sentiment analysis of your source as a graph.
          //existing sources
          .sources
            .existing-source(ng-repeat="source in sources | orderBy:'-created_at' | filter: search", style="margin-bottom:10px", ng-controller="SentimentSourceCtrl")
              .well
                .row
                  .col-md-12
                    .row
                      source-cartouche
                    .row
                      .col-md-12 
                        h4
                          | Fields:
                          draggable-field-label(field='field', source='source', ng-repeat="field in source.fields | orderBy: 'position'")
                        .clearfix 
                  .col-md-4
                    .row
                      .col-md-12
                        .land-zone.x-land-zone.bg-warning(ng-drop="true" ng-drop-success="onXDropComplete($data,$event)")
                          h4
                            |  X axis
                            .btn-group.graph-order-controls(role='group', aria-label='up and down', ng-if="droppedXObject && droppedYObject")
                              a.btn.btn-default.btn-xs(ng-click="changeOrder('x','desc')", ng-attr-title="order by {{droppedXObject.name}} descending")
                                i.fa.fa-angle-up
                              a.btn.btn-default.btn-xs(ng-click="changeOrder('x','asc')", ng-attr-title="order by {{droppedXObject.name}} ascending")
                                i.fa.fa-angle-down
                            span.label.label-warning.blend-field.pull-right(ng-if="droppedXObject")
                              {{droppedXObject.name}}
                              a.label.label-danger.remove-field(ng-click = "removeX()" ng-disabled="removing")
                                | x
                    .row
                      .col-md-12
                        .land-zone.sentiment-land-zone.bg-info(ng-drop="true" ng-drop-success="onYDropComplete($data,$event)")
                          h4
                            | Sentiment 
                            .btn-group.graph-order-controls(role='group', aria-label='up and down', ng-if="droppedYObject && droppedXObject")
                              a.btn.btn-default.btn-xs(ng-click="changeOrder('y','desc')", ng-att-title="order by {{droppedYObject.name}} descending")
                                i.fa.fa-angle-up
                              a.btn.btn-default.btn-xs(ng-click="changeOrder('y','asc')", ng-attr-title="order by {{droppedYObject.name}} ascending")
                                i.fa.fa-angle-down
                            span.label.label-info.blend-field.pull-right(ng-if="droppedYObject")
                              {{droppedYObject.name}}
                              a.label.label-danger.remove-field(ng-click = "removeY()")
                                | x
                        select.form-control(style="margin-top:20px;margin-bottom:20px", ng-hide="droppedXObject == null || droppedYObject == null", ng-model="chartObject.type", ng-change="redraw()")
                          option ColumnChart
                          option BarChart
                          option Table
                          option GeoChart
                  .col-md-8
                    div(google-chart='', chart='chartObject', style='height:600px; width:100%;', ng-if="data")